%ISOTHERMSAMPLESPLOT

% S. Engblom 2011-01-05

% Sample plots of first and last from ISOTHERM.

close all
xx = linspace(-0.5,0.5,45);
load data/isotherm_F1v0 % just to get sol{1}.np!
j = [0.5 1:sol{1}.np-1]';
A = (2*j-1)./j*xx(:)';
B = (1-j)./j;

files = {'isotherm_F1v0' 'isotherm_F2v0' 'isotherm_F3v0'};
titles = {'Model 1' 'Model 2' 'Model 3'};
plotnames = {'psisample1' 'psisample2' 'psisample3'; ...
             'Dphisample1' 'Dphisample2' 'Dphisample3'};
% commented away is some plotting of phi (in fact of d/dx phi)...
for j = 1:3
  load(['data/' files{j}]);
  for i = 1:size(sol,2)
    [phi,psi] = pdeeval(sol{i},xx,sol{i}.sol.x([1 end])); % no interpolation
    %u = interp1(sol{i}.sol.x,sol{i}.sol.y',sol{i}.sol.x([1 end]),'linear')';
    %phi = u(1:sol{1}.np,:);
    %Dphi = sol{1}.cache.D1\(sol{1}.cache.D2*phi);
    %psi = u(sol{1}.np+1:end,:);
    %Dphi = sol{1}.Cn*clenshaw(A,B,Dphi)';
    %psi = clenshaw(A,B,psi)';
    figure(2*j-1),
    semilogy(xx,psi(:,1),'b'); hold on
    semilogy(xx(2:3:end),psi(2:3:end,end),'k.--'); hold on
    %figure(2*j),
    %semilogy(xx,Dphi(:,1),'b'); hold on
    %semilogy(xx(2:3:end),Dphi(2:3:end,end),'k,--'); hold on
  end
  figure(2*j-1),
  axis([xx([1 end]) 1e-4 1e0]); %title(titles{j});
  set(gcf,'PaperPositionMode','auto');
  set(gcf,'Position',[100 100 125 250]);
  if exist('writeimages','var') && writeimages
    print('-depsc',sprintf('fig/%s.eps',plotnames{2*j-1}));
  end

  %figure(2*j), axis([xx([1 end]) 1e-4 1e0]); %title(titles{j});
  %set(gcf,'PaperPositionMode','auto');
  %set(gcf,'Position',[100 100 125 250]);
  %print('-depsc',sprintf('fig/%s.eps',plotnames{2*j}));  
end
