%VERIFICATIONPLOT Plots for VERIFICATION.

% S. Engblom 2012-09-14

close all
load data/verification

figure, semilogy(N1,err1inf(1,:),'b', ...
                 N1,err1inf(2,:),'r', ...
                 N1,err1inf(3,:),'k', ...
                 N2,err2inf(1,:),'b--', ...
                 N2,err2inf(2,:),'r--', ...
                 N2,err2inf(3,:),'k--');

set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 400 250]);
axis([0 300 1e-7 1e-1]);
set(gca,'ytick',[1e-7 1e-6 1e-5 1e-4 1e-3 1e-2 1e-1]);
xlabel('N');
ylabel('Error');
% ("TOL" is used in the paper with a different meaning)
text(100,1e-3,'\epsilon = 10^{-4}');
text(100,3e-5,'\epsilon = 10^{-6}');
text(100,1.5e-6,'\epsilon = 10^{-8}');
text(225,1e-2,'\epsilon = 10^{-4}');
text(225,1e-3,'\epsilon = 10^{-6}');
text(225,1e-4,'\epsilon = 10^{-8}');
if exist('writeimages','var') && writeimages
  print('-depsc','fig/verification.eps');
end
