%WARD_TORDAIPLOT Plots for WARD_TORDAI.

% S. Engblom 2011-01-08

ward_tordaiaux;

% (1) very short scale
tauee = zeros(1,size(sol,2));
cee = zeros(1,size(sol,2));
figure(7), clf
for i = 1:size(sol,2)
  jj = find(sol{i}.sol.x <= tlim(i,2));
  tt = sol{i}.sol.x(jj);
  psi = sol{i}.sol.y(sol{i}.np+1:end,jj);
  psi0 = mean(pdeeval(psi,x0));
  psi0rel = psi0/psib0(i);
  plot(tt,psi0rel,colors{i}); hold on
  cDLA = polyfit(tt,psi0rel,1);
  tauee(i) = 1/cDLA(end-1);
  cee(i) = cDLA(end); % very nearly 1
  plot(tt,cee(i)+tt/tauee(i),'k','LineWidth',1);
end
%axis([0 max(tlim(:,2)) 1 max(cee+tlim(:,2)'./tauee)]);
axis([0 2e-3 1 2]); % override recommendations to get the same values
xlabel('time');
ylabel('\psi_0/\psi_b');
set(gca,'Ytick',1+[0 0.25 0.5 0.75 1.0]);
set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 400 200]);
if exist('writeimages','var') && writeimages
  plotname = sprintf('ward_tordaifitee_F%d.eps',sol{i}.Fcase);
  print('-depsc',['fig/' plotname]);
end

% (2) short scale
tau1 = zeros(1,size(sol,2));
c1 = zeros(1,size(sol,2));
figure(8), clf
for i = 1:size(sol,2)
  tt = linspace(tlim(i,3),tlim(i,4));
  psi = interp1(sol{i}.sol.x,sol{i}.sol.y',tt,'linear')';
  psi = psi(sol{i}.np+1:end,:);
  psi0 = mean(pdeeval(psi,x0));
  psi0rel = psi0/psi0eq1(i);
  plot(tt,psi0rel,colors{i}); hold on
  cDLA = polyfit(sqrt(tt),psi0,1);
  tau1(i) = cDLA(end-1)^-2;
  c1(i) = cDLA(end)/psi0eq1(i);
  tt = tlim(i,3)+0.75*(tlim(i,4)-tlim(i,3))*linspace(0,1,30);
  plot(tt,c1(i)+(tt./tau1(i)).^0.5/psi0eq1(i),'k','LineWidth',1);
  % deemed less clear:
  %tt = tlim(i,4)-0.25*(tlim(i,4)-tlim(i,3))*linspace(0,1,10);
  %plot(tt,c1(i)+(tt./tau1(i)).^0.5/psi0eq1(i),'k:','LineWidth',1);
end

% (3) asymptotics
tau0 = zeros(1,size(sol,2));
c0 = zeros(1,size(sol,2));
for i = 1:size(sol,2)
  tt = linspace(tlim(i,5),tlim(i,6));
  psi = interp1(sol{i}.sol.x,sol{i}.sol.y',tt,'linear')';
  psi = psi(sol{i}.np+1:end,:);
  psi0 = mean(pdeeval(psi,x0));
  psi0rel = psi0/psi0eq1(i);
  plot(tt,psi0rel,colors{i}); hold on
  cDLA = polyfit(1./sqrt(tt),psi0rel,1);
  tau0(i) = cDLA(end-1)^2;
  c0(i) = cDLA(end); % nearly 1
  % deemed less clear:
  %tt = tlim(i,5)+0.25*(tlim(i,6)-tlim(i,5))*linspace(0,1,10);
  %plot(tt,c0(i)-(tau0(i)./tt).^0.5,'k:','LineWidth',1);
  tt = tlim(i,6)-0.75*(tlim(i,6)-tlim(i,5))*linspace(0,1,30);
  plot(tt,c0(i)-(tau0(i)./tt).^0.5,'k','LineWidth',1);
end

%axis([min(tlim(:,3)) max(tlim(:,6)) 0.25 1]);
axis([0 2.5 0.25 1])
xlabel('time');
ylabel('\psi_0/\psi_{0,eq}');
set(gca,'Ytick',[0.25 0.5 0.75 1.0]);
set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 400 200]);
text(0.5,0.35,'\propto t^{1/2}')
text(1.75,0.65,'\propto 1-t^{-1/2}')
if exist('writeimages','var') && writeimages
  plotname = sprintf('ward_tordaifit10_F%d.eps',sol{i}.Fcase);
  print('-depsc',['fig/' plotname]);
end
