%WARD_TORDAISAMPLESPLOT

% S. Engblom 2011-02-16

% Sample plots (temporal scales) for WARD_TORDAI.

ward_tordaiaux;
i = 1;

x = linspace(-4*Cn,4*Cn,101);
figure(1), clf
psi = interp1(sol{i}.sol.x,sol{i}.sol.y',tlim(i,1),'linear')';
psi = psi(sol{i}.np+1:end,:);
psi = pdeeval(psi,x)/psib0(i);
semilogy(x,psi,'LineWidth',1); hold on
axis([x([1 end]) 0.25 4]);
plot(x([1 end]),[1 1],'k:',[0 0],[0.25 4],'k:');
ylabel('\psi/\psi_b');
set(gca,'XTick',[-Cn 0 Cn],'XTickLabel',{'-Cn' 0 'Cn'}, ...
        'YTick',[0.5 1 2],'YTickLabel',[0.5 1 2]);
set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 225 100]);
if exist('writeimages','var') && writeimages
  plotname = sprintf('ward_tordai_F%d%d.eps',sol{i}.Fcase,1);
  print('-depsc',['fig/' plotname]);
end

figure(2), clf
psi = interp1(sol{i}.sol.x,sol{i}.sol.y',tlim(i,2),'linear')';
psi = psi(sol{i}.np+1:end,:);
psi = pdeeval(psi,x)/psib0(i);
semilogy(x,psi,'LineWidth',1); hold on
axis([x([1 end]) 0.25 4]);
plot(x([1 end]),[1 1],'k:',[0 0],[0.25 4],'k:');
ylabel('\psi/\psi_b');
set(gca,'XTick',[-Cn 0 Cn],'XTickLabel',{'-Cn' 0 'Cn'}, ...
        'YTick',[0.5 1 2],'YTickLabel',[0.5 1 2]);
set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 225 100]);
if exist('writeimages','var') && writeimages
  plotname = sprintf('ward_tordai_F%d%d.eps',sol{i}.Fcase,2);
  print('-depsc',['fig/' plotname]);
end

% drainage of sub-surface region
%psi = interp1(sol{i}.sol.x,sol{i}.sol.y',tlim(i,7),'linear')';
%psi = psi(sol{i}.np+1:end,:);
%psi = pdeeval(psi,x)/psib0(i);
%semilogy(x,psi,'LineWidth',1); hold on
%axis([x([1 end]) 0.25 4]);
%plot(x([1 end]),[1 1],'k:',[0 0],[0.25 4],'k:');
%ylabel('\psi/\psi_b');
%set(gca,'XTick',[-Cn 0 Cn],'XTickLabel',{'-Cn' 0 'Cn'}, ...
%        'YTick',[0.5 1 2],'YTickLabel',[0.5 1 2]);
%set(gcf,'PaperPositionMode','auto');
%set(gcf,'Position',[100 100 400 150]);

figure(3), clf
psi = interp1(sol{i}.sol.x,sol{i}.sol.y',tlim(i,3),'linear')';
psi = psi(sol{i}.np+1:end,:);
psi = pdeeval(psi,x)/psib0(i);
semilogy(x,psi,'LineWidth',1); hold on
axis([x([1 end]) 0.25 8]);
plot(x([1 end]),[1 1],'k:',[0 0],[0.25 8],'k:');
ylabel('\psi/\psi_b');
set(gca,'XTick',[-Cn 0 Cn],'XTickLabel',{'-Cn' 0 'Cn'}, ...
        'YTick',[0.5 1 2 4],'YTickLabel',[0.5 1 2 4]);
set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 225 100]);
if exist('writeimages','var') && writeimages
  plotname = sprintf('ward_tordai_F%d%d.eps',sol{i}.Fcase,3);
  print('-depsc',['fig/' plotname]);
end

x = linspace(-8*Cn,-2*Cn,30);
x = [x linspace(-2*Cn,2*Cn,41) -x(end:-1:1)];
figure(4), clf
psi = interp1(sol{i}.sol.x,sol{i}.sol.y',tlim(i,4),'linear')';
psi = psi(sol{i}.np+1:end,:);
psi = pdeeval(psi,x)/psi0eq1(i);
semilogy(x,psi,'LineWidth',1); hold on
axis([x([1 end]) 0.01 1]);
plot(x([1 end]),psib0([i i])./psi0eq1([i i]),'k:',[0 0],[0.01 1],'k:');
ylabel('\psi/\psi_{0,eq}');
set(gca,'XTick',[-2*Cn 0 2*Cn],'XTickLabel',{'-2Cn' 0 '2Cn'}, ...
        'Ytick',[0.1 1],'YTickLabel',[0.1 1]);
set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 225 100]);
if exist('writeimages','var') && writeimages
  plotname = sprintf('ward_tordai_F%d%d.eps',sol{i}.Fcase,4);
  print('-depsc',['fig/' plotname]);
end

x = linspace(-1,-8*Cn,20);
x = [x linspace(-8*Cn,-2*Cn,20)];
x = [x linspace(-2*Cn,2*Cn,41) -x(end:-1:1)];
figure(5), clf
psi = interp1(sol{i}.sol.x,sol{i}.sol.y',tlim(i,5),'linear')';
psi = psi(sol{i}.np+1:end,:);
psi = pdeeval(psi,x)/psi0eq1(i);
semilogy(x,psi,'LineWidth',1); hold on
axis([x([1 end]) 0.01 1]);
plot(x([1 end]),psib0([i i])./psi0eq1([i i]),'k:',[0 0],[0.01 1],'k:');
ylabel('\psi/\psi_{0,eq}');
set(gca,'XTick',[-1 -8*Cn 0 8*Cn 1],'XTickLabel',{-1 '-8Cn' 0 '8Cn' 1}, ...
        'Ytick',[0.1 1],'YTickLabel',[0.1 1]);
set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 225 100]);
if exist('writeimages','var') && writeimages
  plotname = sprintf('ward_tordai_F%d%d.eps',sol{i}.Fcase,5);
  print('-depsc',['fig/' plotname]);
end

figure(6), clf
psi = interp1(sol{i}.sol.x,sol{i}.sol.y',tlim(i,6),'linear')';
psi = psi(sol{i}.np+1:end,:);
psi = pdeeval(psi,x)/psi0eq1(i);;
semilogy(x,psi,'LineWidth',1); hold on
axis([x([1 end]) 0.01 1]);
plot(x([1 end]),psib0([i i])./psi0eq1([i i]),'k:',[0 0],[0.01 1],'k:');
ylabel('\psi/\psi_{0,eq}');
set(gca,'XTick',[-1 -8*Cn 0 8*Cn 1],'XTickLabel',{-1 '-8Cn' 0 '8Cn' 1}, ...
        'Ytick',[0.1 1],'YTickLabel',[0.1 1]);
set(gcf,'PaperPositionMode','auto');
set(gcf,'Position',[100 100 225 100]);
if exist('writeimages','var') && writeimages
  plotname = sprintf('ward_tordai_F%d%d.eps',sol{i}.Fcase,6);
  print('-depsc',['fig/' plotname]);
end
